abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
včera 23:11 | Bezpečnostní upozornění

Byly zveřejněny informace o bezpečnostní chybě BLURtooth (CVE-2020-15802) v Bluetooth 4.2 a 5.0 v Cross-Transport Key Derivation (CTKD). Útočník může provádět MITM nebo navázat spojení s libovolným zařízením. Podrobnosti v článku (pdf).

Ladislav Hagara | Komentářů: 0
včera 21:44 | IT novinky

Byly zveřejněny informace o úniku zdrojových kódů Windows XP.

Ladislav Hagara | Komentářů: 1
včera 15:22 | Zajímavý projekt

Chcete proniknout do tajů gitu? Klikněte na Learn Git Branching. Vizuální a interaktivní tutoriál ve webovém prohlížeči.

Ladislav Hagara | Komentářů: 0
včera 13:22 | Nová verze

Po roce od vydání verze 4.0 byla vydána nová major verze 5.0 softwaru pro správu elektronických knih Calibre (Wikipedie). Přehled novinek v poznámkách k vydání. Zdůraznit lze přechod na Python 3.

Ladislav Hagara | Komentářů: 4
včera 07:00 | Komunita

Pořadatelé konference DevConf.cz 2021, již třináctého ročníku jedné z největších akcí zaměřených na Linux a open source ve střední Evropě, vyhlásili CFP (Call for Papers). Konference proběhne jenom online a to 18. až 20. února 2021.

Ladislav Hagara | Komentářů: 0
24.9. 15:44 | Zajímavý článek

Národní bezpečnostní agentura (NSA) vydala podrobnou příručku pro nastavení UEFI Secure Bootu (pdf).

Ladislav Hagara | Komentářů: 4
24.9. 15:22 | Nová verze

Byl vydán PostgreSQL ve verzi 13.0. Přehled novinek v poznámkách k vydání.

Ladislav Hagara | Komentářů: 6
24.9. 15:00 | Zajímavý software

Nezávislý tým herních vývojářů Orama Interactive vydal novou verzi 0.8 svobodného sprite editoru Pixelorama. Editor Pixelorama je postaven na herním enginu Godot a nově běží také na webu. Zdrojové kódy jsou k dispozici na GitHubu.

Ladislav Hagara | Komentářů: 0
24.9. 14:00 | Zajímavý software

Mozilla Foundation na svém blogu představila Social Media Analysis Toolkit (SMAT). Jedná se o open source nástroj pro analýzu a vizualizaci online komunikace a trendů na sociálních sítí. Zdrojové kódy jsou k dispozici na GitLabu.

Ladislav Hagara | Komentářů: 2
24.9. 08:00 | Zajímavý software

Pod licencí GPLv3 byly vydány zdrojové kódy počítačových her Amnesia: The Dark Descent a Amnesia: A Machine For Pigs od společnosti Frictional Games. Počítačová hra Amnesia: The Dark Descent vyšla před 10 lety. V říjnu vyjde pokračování s názvem Amnesia: Rebirth.

Ladislav Hagara | Komentářů: 0
Používáte aplikaci eRouška?
 (19%)
 (3%)
 (2%)
 (11%)
 (52%)
 (7%)
 (6%)
Celkem 427 hlasů
 Komentářů: 35, poslední 20.9. 21:50
Rozcestník

Dotaz: YUM-Vyreseni zavislosti

26.2.2005 12:28 Apollo | skóre: 6
YUM-Vyreseni zavislosti
Přečteno: 161×
Ahoj, po nucene delsi dobe jsem si chtel updatetovat system pres yum. A nedokaze to vyresit tyto zavisloti:
Error: missing dep: dbus for pkg dbus-x11
Error: missing dep: dbus for pkg dbus-glib
Error: missing dep: gtk2 for pkg gtk2-devel
Error: missing dep: gtk2 for pkg libwnck
Error: missing dep: gtk2 for pkg pygtk2
Error: missing dep: gtk2 for pkg yelp
Error: missing dep: gtk2 for pkg gnome-terminal
Error: missing dep: /usr/bin/gtk-query-immodules-2.0 for pkg gnome-utils
Error: missing dep: gtk2 for pkg gnome-keyring
Error: missing dep: gtk2 for pkg gdm
Error: missing dep: gtk2 for pkg eel2
Error: missing dep: gtk2 for pkg gok
Existuje nejake reseni?Jinak mam FC3.

Diky

Odpovědi

26.2.2005 12:46 unchallenger | skóre: 69 | blog: unchallenger
Rozbalit Rozbalit vše Re: YUM-Vyreseni zavislosti
Ujisti se, že máš nějaký funkční repositář s base (tj. balíčky přímo z distribuce). Spusť yum clean něco. Pro začátek bych zkusil cache, metadata, případně headers, all.

Nebo je taky v pr... rpm databáze. Co třeba vypíše rpm --verify gtk2?
26.2.2005 12:51 Apollo | skóre: 6
Rozbalit Rozbalit vše Re: YUM-Vyreseni zavislosti
tak skoro vetsinu repositare mam z http://fedoratracker.org/..

rpm --verify gtk2 vypise toto:

S.5....T    /etc/gtk-2.0/gdk-pixbuf.loaders
S.5....T    /etc/gtk-2.0/gtk.immodules
26.2.2005 12:57 unchallenger | skóre: 69 | blog: unchallenger
Rozbalit Rozbalit vše Re: YUM-Vyreseni zavislosti
Takže gtk2 máš nainstalované. Tudíž je yum zmatený.

Křištálová koule mi bohužel neřekla, co sis na fedoratrackeru naklikal, takže: ověř, zda máš nějaký funkční repositář s base.
26.2.2005 13:00 Apollo | skóre: 6
Rozbalit Rozbalit vše Re: YUM-Vyreseni zavislosti
ted sem zkusil dat vsechno clean a dal tam vsechny repositare co tam jsou
26.2.2005 13:05 unchallenger | skóre: 69 | blog: unchallenger
Rozbalit Rozbalit vše Re: YUM-Vyreseni zavislosti
Tak to teď bude tahat asi deset tisíc (doslova) hlaviček... Navíc odkudsi z prčic, protože fedoratracker ti tam samozřejmě nedá mirror ftp.linux.cz... Ale pokud se to tím spraví...
26.2.2005 13:09 Apollo | skóre: 6
Rozbalit Rozbalit vše Re: YUM-Vyreseni zavislosti
z ftp.linux.cz tam mam ;-) .. ale je tam toho spousta.nevim co se hodi a nechtelo se mi to vybirat a nevim co zrovna bude potreba :-)
26.2.2005 13:14 Apollo | skóre: 6
Rozbalit Rozbalit vše Re: YUM-Vyreseni zavislosti
tak to nevyresilo nic :-( .. porad stejny
26.2.2005 13:28 unchallenger | skóre: 69 | blog: unchallenger
Rozbalit Rozbalit vše Re: YUM-Vyreseni zavislosti
yum search gtk2
26.2.2005 13:42 Apollo | skóre: 6
Rozbalit Rozbalit vše Re: YUM-Vyreseni zavislosti
pygtk2-libglade.i386                     2.4.0-1                base            
Matched from:
pygtk2-libglade


pygtk2.i386                              2.4.0-1                base            
Matched from:
pygtk2


gtk2-engines.i386                        2.2.0-6                base            
Matched from:
gtk2-engines
The gtk2-engines package contains shared objects and configuration
files that implement a number of GTK+ theme engines. Theme engines
provide different looks for GTK+, some of which resemble other
toolkits or operating systems. This package is for GTK+ 2.0,
the gtk+-engines package is for GTK+ 1.2.


gtk2.i386                                2.4.13-9               base            
Matched from:
gtk2


gtk2-devel.i386                          2.4.13-9               base            
Matched from:
gtk2-devel


pygtk2-devel.i386                        2.4.0-1                base            
Matched from:
pygtk2-devel


gtk2.i386                                2.4.14-2.fc3           updates-released
Matched from:
gtk2


gtk2-debuginfo.i386                      2.4.14-2.fc3           updates-released
Matched from:
gtk2-debuginfo
Debug information for package gtk2
This package provides debug information for package gtk2.
Debug information is useful when developing applications that use this
package or when debugging this package.


gtk2-devel.i386                          2.4.14-2.fc3           updates-released
Matched from:
gtk2-devel


pygtk2.i386                              2.4.1-1.1.fc2.nr       installed       
Matched from:
pygtk2


pygtk2-devel.i386                        2.4.1-1.1.fc2.nr       installed       
Matched from:
pygtk2-devel


wxGTK2.i386                              2.4.2-0.fdr.2.2        installed       
Matched from:
wxGTK2
wxGTK2 is the GTK2 port of the wxWidgets GUI library
wxWidgets/GTK2 is the GTK2 port of the C++ cross-platform wxWidgets
GUI library, offering classes for all common GUI controls as well as a
comprehensive set of helper classes for most common application tasks,
ranging from networking to HTML display and image manipulation.


gtk2-devel.i386                          2.5.2-1.1.fc2.nr       installed       
Matched from:
gtk2-devel


wxGTK-common.i386                        2.4.2-0.fdr.2.2        installed       
Matched from:
Common files for wxWidgets/GTK1 and GTK2.


gtk2.i386                                2.5.2-1.1.fc2.nr       installed       
Matched from:
gtk2


pygtk2-libglade.i386                     2.4.1-1.1.fc2.nr       installed       
Matched from:
pygtk2-libglade


wxGTK2-gl.i386                           2.4.2-0.fdr.2.2        installed       
Matched from:
wxGTK2-gl


gtk2-engines.i386                        2.2.0-6                installed       
Matched from:
gtk2-engines

26.2.2005 14:20 unchallenger | skóre: 69 | blog: unchallenger
Rozbalit Rozbalit vše Re: YUM-Vyreseni zavislosti
Chm, to vypadá jako bug nebo něco tak oskurně nastaveného, že mě nenapadá co. Můžeš zkusit použít -d velké_číslo a pokusit se z toho něco vykoukat nebo nacpat do /usr/lib/python2.3/site-packages/yum/depsolve.py debugovací hlášky a pokusit se zjistit, proč si při install myslí, že ty balíčky nemá, když při je search najde...
26.2.2005 14:43 Apollo | skóre: 6
Rozbalit Rozbalit vše Re: YUM-Vyreseni zavislosti
pockej,to chces po me moc :-) ... muzes trosku podrobneji?
26.2.2005 14:47 unchallenger | skóre: 69 | blog: unchallenger
Rozbalit Rozbalit vše Re: YUM-Vyreseni zavislosti
Abych to napsal jasně, nevím, čím to je, a vypadá to zapeklitě. Třeba ví někdo jiný, a pokud neví, tak zbývá jedině debuggovat. Na což není žádný recept :-/
26.2.2005 14:51 Apollo | skóre: 6
Rozbalit Rozbalit vše Re: YUM-Vyreseni zavislosti
aha..kazdopadne ti dekuju za snahu
26.2.2005 15:08 Michal Marek (twofish) | skóre: 55 | blog: { display: blog; } | Praha
Rozbalit Rozbalit vše Re: YUM-Vyreseni zavislosti
Když to nejde silou, musíš víc zabrat ;-)

Zkusil bych
mv /var/cache/yum/* /nekam/pryc
(nebo elegantněji pomocí yum clean jak psal Yeti). V /etc/yum/repos.d/* povolit pro začátek jen base a update pak dát yum update.

Třeba si jenom zapsat nějakou blbost do cache (jinam než do /var/cache/yum snad nezapisuje). Když nebude fungovat ani to, tak je to celkem v pr... :-)
26.2.2005 15:10 Michal Marek (twofish) | skóre: 55 | blog: { display: blog; } | Praha
Rozbalit Rozbalit vše Re: YUM-Vyreseni zavislosti
Ehm, ten adresář je /etc/yum.repos.d/, případně ty repozitáře můžou být přímo v yum.conf ("postaru").
26.2.2005 20:35 Apollo | skóre: 6
Rozbalit Rozbalit vše Re: YUM-Vyreseni zavislosti
tohle vsechno jsem uz zkousel :-(
26.2.2005 23:41 Petr Šobáň | skóre: 80 | blog: soban | Olomouc
Rozbalit Rozbalit vše Re: YUM-Vyreseni zavislosti
Já to mám bez problémů FC3.

Skus normálně si stáhnout přes ftp yum (nejnovější) a ten starý balíček yum odinstalovat i konfigurák smazat.

Potom nainstaluj ten nový yum a nechej tam ty odkazy pouze z toho baličku a skus to.

Případně skus stáhnout to gtk2 ručně a nainstalovat ručně.

Jinak ještě může být poškozená databáze rpm.

Založit nové vláknoNahoru

Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

ISSN 1214-1267   www.czech-server.cz
© 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.